/*
** csvtool.h
**	public API for libcsvtool.so
**	see libcsvtool(3) for details
**
** Copyright (C) 2022, 2023  Lew Pitcher
**
** This file is part of the libcsvtool software; you can redistribute
** it and/or modify it under the terms of the GNU General Public License
** as published by the Free Software Foundation; either version 2 of the
** License, or (at your option) any later version.
**
** This file is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License along
** with this program; if not, write to the Free Software Foundation, Inc.,
** 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
**
** Lew Pitcher <lew.pitcher@digitalfreehold.ca>
*/
#ifndef	_CSVTOOL_
#define	_CSVTOOL_
size_t	csvRowCount(void *handle);
size_t	csvCellCount(void *handle, size_t row);
char	*csvCellData(void *handle, size_t row, size_t cell);
void	csvClose(void *handle);
void	*csvOpen(char *fname);
#endif
/*
** $Revision: 1.4 $
**
** $Log: csvtool.h,v $
** Revision 1.4  2024/11/02 18:39:52  lpitcher
** added RCS revision number and RCS log
**
**
*/